#include <stdio.h>
#include <stdlib.h>
#include "global.h"
#include "survey.h"

#include "manhat-lib/shared_cs_util.h"
#include "manhat-lib/shared_super_key.h"

#include "manhat-lib/shared_util.h"
#include "manhat-lib/shared_survey_util.h"
#include "manhat-lib/shared_survey_read_param.h"
#include "manhat-lib/shared_survey_path_util.h"



int
main()
{
   int is_admin;
   char key[MAX_KEY +1];
   int  pre_id;
   char count[MAX_PATH +1];
   SESSION user;

   cs_cgi_init();   /* shared_cs_util.c */
   read_com_parameters(&is_admin, key, count, &pre_id); /* shared_survey_read_param.c */
   verify_key_path(&user, key, is_admin);   /* shared_survey_path_util.c */
   insert_survey_spell_check_button();   /* shared_survey_util.c */

   cs_set_theme_path();         /* shared_survey_util.c */
   cs_load_lang("shared_survey_form");
   
   cs_cgi_display("survey_custom_form", 1);
   cs_cgi_destroy();               /* shared_cs_util.c */
   return 0;
}
